#include <stdio.h>
#include <string.h>
#include <Communication.h>
#include <ToolsXMProtocol.h>
#include <type.h>
#include <reponse.h>
#include <File.h>
#include <mobjectx.h>

int ToIDReponseServer(int idReponse)
{
	switch (idReponse)
	{
		case TR_VOID   : return XMRUNKNOWN;
		case TR_ERROR  : return XMRERROR;
		case TR_OK     : return XMROK;
		case TR_EXIT   : return XMRDECONNECTION;
		case TR_INFO   : return XMRINFO;
		default: return XMRUNKNOWN;
	}
}

int AddField(char *amodifier, char *data)
{
	if ((!data) || (!amodifier)) return 0;
	if (strlen(amodifier) == MAXI_LEN_REPONSE) return strlen(data);
	
	int NbreARecopier, NonRecopier;
	char Buffer[MAXI_LEN_REPONSE+1];
	NonRecopier = (strlen(data)+1 >= MAXI_LEN_REPONSE? strlen(data)+1 - MAXI_LEN_REPONSE: 0);
	NbreARecopier = (strlen(data)+1 >= MAXI_LEN_REPONSE? MAXI_LEN_REPONSE: strlen(data)+1);
	strncpy(Buffer, data, NbreARecopier);
	sprintf(amodifier, "%s#", Buffer);
	return NonRecopier;
}

char *GetField(char *data, int deb, int fin)
{
	char *field;
	int  k=0, Taille;
	char *DebField, *FinField=NULL, *Cursor=NULL, *Ptr=NULL;
	
	if (!data) return NULL;
	if (!strlen(data)) return NULL;
	for (Ptr=DebField=FinField=data; ((Cursor = strchr(Ptr, '#')) && (k <= deb)); k++)
		{DebField = (DebField==FinField?DebField:FinField+1); FinField = Cursor; Ptr=Cursor+1;}
	/* if (!Cursor) return NULL; */
	Taille = (fin == -1? strlen(data) - (DebField - data): FinField - DebField);
	field = new char[Taille+1];
	if (Taille != 0) strncpy(field, DebField, Taille); field[Taille]=0;
	return (field);
}

XMReponse *AddIntoXMReponse(XMReponse *reponse, char *data)
{
	XMReponse *aReponse=reponse;
	
	if (!data) return aReponse;
	if (!reponse) aReponse = new XMReponse;
	sprintf(aReponse->Reponse, "%s", data); delete data;
	return aReponse;
}


int TailleRecalculer(char *data, int maxi)
{
	return 0;
}

void *ToFileXMReponse(int id_client, void *fReponse)
{
	int k=0;
	int TailleSend=0;
	CReponse **aReponse;
	XMReponse *xReponse;
	CFile <CReponse *> *pFReponse = (CFile <CReponse *> *)fReponse;
	CFile <XMReponse *> *pXReponse = new (CFile <XMReponse *>);
	
	pFReponse->InitNP();
	while (!pFReponse->VideNP())
	{
		pFReponse->DefilerNP(aReponse);
		xReponse = InitReponse(new XMReponse);
		xReponse->IDClient = id_client;
		xReponse->IDReponse = ToIDReponseServer((*aReponse)->IDRep);
		if ((*aReponse)->IDRep==TR_OK) AddIntoXMReponse(xReponse, ((XMObjectX *)((*aReponse)->ObjX))->Formatted());
		pXReponse->Enfiler(xReponse);
	}
	return pXReponse;
}