#ifndef CHAINE_H
#define CHAINE_H

void  Set(char **s, char *so);
// Recopie so dans s

int EstCommande(char *exp);

int   EstDansAZaz(char c);
// Teste si c E[A, Z] ou [a, z]


int   EstDans09(char c);
// Teste si c E[0, 9]


int EstOperateur(char *op);
// Test si c est un operateur

char *InvOp(char *op);

int   EstNombre(char *Exp);
// Si Exp est un nombre


char  *Copie(int m, int n, char *Exp);
// Revoie une copie de m  n de Exp


void  Concatener(char **Exp1, char *Exp);
// Rajoute dans Exp1 Exp;


int   Compte(char *Exp, char c);
// Compte de nombre de caracteres c dans Exp


void  Decallage(int n, char *Exp);
// Effectue un dcalage de n caracteres dans Exp


void  Retrait(int n, char *Exp);
// supprime les n derniers caracteres de Exp


int   PositionChar(char c, char *Exp);
// Revoie la position de c dans Exp


void  Effacer(int Deb, int Fin, char *Exp);
// Supprime tous les caractres compris entre Deb en Fin


void  SansEspace(char *Exp);
// Retire tous les espaces de Exp


void  Clean_Parenthese(char *Exp);
// Supprime les parentheses de Exp

//Supprime le contenu de Exp1 et remplace par Exp
void  ModifierChaine(char **Exp1, char *Exp);


/*
*
*
*		Fonctions traitant des oprations mathmatiques
*				sur les chaines
*										*/

char *GetName(char *entete);
char *GetEntete(char *exp);
void GetNameAndVars(char *entete, char **Nom, char ***Variables, int &nVars);
#endif  /*  CHAINE_H  */