#include "map.h"

void XMMap::Add(TYPE *pt)
{
	if (!mDepth) return;
	TYPE *p = new TYPE[mDepth];
	for(int i=0; i<mDepth; i++) p[i]=pt[i];
	if (!mTBPoint) mTBPoint = new CList<TYPE *>;
	mTBPoint->Add(p);
}


XMMap::XMMap()
{
	mDepth = 0;
	mTBPoint = NULL;
}

XMMap::XMMap(XMMap &map)
{
	mDepth = map.mDepth;
	mTBPoint = ((mTBPoint)? new CList<TYPE *>((*map.mTBPoint)): NULL);
}

XMMap::XMMap(int dep)
{
	SetDepth(dep);
}
void XMMap::SetDepth(int dep)
{
	if (dep<=0) return;
	++mDepth=dep;
	mTBPoint = new CList<TYPE *>;
}

int XMMap::Depth()
{
	return mDepth;
}

int XMMap::SetPoint(int k, int dep, TYPE  val)
{
	TYPE *p;
	if (!(p=mTBPoint->Get(k))) return 0;
	return (int)(p[dep]=val);
}

int XMMap::GetPoint(int k, TYPE* & val)
{
	printf("Valeur de mTBPoint: %p\n",mTBPoint);
	if (!mTBPoint) return 0;
	printf("Test de mTBPoint: %d : %d\n",mTBPoint->GetCount(),k);
	if (mTBPoint->GetCount()<k) return 0;
	val=mTBPoint->Get(k);
	return 1;
}

int XMMap::GetPoint(int k, int dep, TYPE &val)
{
	TYPE *p;
	if (!(p=mTBPoint->Get(k))) return 0;
	return (int)(val=p[dep]);
}