#ifndef MOTOR_H
#define MOTOR_H

#include "type.h"
#include "screen.h"
#include "syscoord.h"

class Motor
{
protected:
	Screen *mScreen;
	SysCoord *mSysCoord;
public:
	Motor();
	Motor(Screen *screen);
	void SetScreen(int *pt, int largeur, int hauteur);
	int GetDim();
	virtual void Configure()= 0;
	virtual void EvalXY(int &vld, TYPE *pt, TYPE *Res)=0;
	virtual int EvalX(int &vld, TYPE *pt)=0;
	virtual int EvalY(int &vld, TYPE *pt)=0;
};

#endif	/* MOTOR_H */