#ifndef NUMBER
#define NUMBER
#define SGNF 8
#include "TNumber.h"

/*****       Modelisation d'un nombre complexe   ****/

typedef struct SComplexe
{
        TYPE Im;
        TYPE Re;
}SComplexe;


/********     Modelisation d'une variable      ******/
typedef struct Variable
{
        char *Nom;
        TYPE Dep;
        TYPE Fin;
        TYPE X;
        char *Xs;
}Variable;

typedef struct EltDerive
{
        char *Nom;
        int Nbre;
}EltDerive;

TYPE Pgdc(TYPE x,TYPE y);       
char *Simplifie_Somme(char *Valgs, char *Valds);
char *Simplifie_Soust(char *Valgs, char *Valds);
char *Simplifie_Multi(char *Valgs, char *Valds);
char *Simplifie_Power(char *Valgs, char *Valds);
char *Simplifie_Quot(char *Valgs,char *Valds);
char *Simplifie_Ln(char *Valds);
char *Simplifie_Abs(char *Valds);
char *Simplifie_Exp(char *Valds);
char *Simplifie_Cos(char *Valds);
char *Simplifie_Sin(char *Valds);
char *Simplifie_Tan(char *Valds);
char *Simplifie_Ch(char *Valds);
char *Simplifie_Sh(char *Valds);
char *Simplifie_Th(char *Valds);
char *Simplifie_Arctan(char *Valds);
char *Simplifie_Arccos(char *Valds);
char *Simplifie_Arcsin(char *Valds);
char *Simplifie_Argth(char *Valds);
char *Simplifie_Sqrt(char *Valds);
#endif