#ifndef PLOTER_H
#define PLOTER_H
#include "Liste.h"
#include "intervalle.h"
#include "mtdplot.h"


class XMPloter: public XMObjectX
{
protected:
	XMMethodPlot *mMethod;
	CList <XMObjectX *> *mAPloter;
	CList <XMIntervalle *> *mIntervalles;
public:
	XMPloter();
	XMPloter(char *meth);
	XMPloter(TMethod meth);
	XMPloter(XMObjectX *ob, TMethod meth=TM_CARTESIAN2D);
	XMPloter(TMethod meth, CList<XMObjectX *> *pobj, CList<XMIntervalle *> *inter);
	void Add(XMObjectX *obj);
	void SetMethode(TMethod metd);
	int Dim();
	CList <XMIntervalle *> *Intervalles();
	void *Map(CList <XMObjectX *> *lvar);
	XMMethodPlot * Method();
	TYPE **Reach(int &vld, TYPE **pt, TYPE **Res);
	
        char *Formatted(){return NULL;}
	TYPE  Eval(int &i, CList <XMObjectX *> *lvar=NULL){return 0;}
        char *EvalF(int &i, CList <XMObjectX *> *lvar=NULL){return (char *)0;}
        char *Affiche(){return (char *)0;}
        void  Lecture();
        XMObjectX *XEval(int &i, CList <XMObjectX *> *lvar=NULL){return (XMObjectX *)0;}
        XMObjectX *Diff(char *x){return (XMObjectX *)0;}
        XMObjectX *Clone(){return (XMObjectX *)0;}
	
	~XMPloter();
};

#endif	/* XMPloter_H */