#include <stdio.h>
#ifndef POLY
#define POLY

typedef struct SPol
{
        float X;
        char *Xs;
}SPol;

template <class T> T Max(T x, T y);
template <class T> T Min(T x, T y);

class Polynome
{
        private:
        	SPol *Po;
        	int Deg;
        public:
        	Polynome();
        	Polynome(int deg);
        	Polynome(Polynome &P);
        	void SetDeg(int D);
        	void Set(int i, float x);
        	void Lire();
        	void Lires();
        	int  Degre(){return Deg;};
        	void Refresh();
        	char *Formatted(){return NULL;}
        	Polynome &operator= (Polynome P);
        	Polynome operator+ (Polynome &P);
        	Polynome operator- (Polynome &P);
        	Polynome operator* (Polynome &P);
        friend  Polynome Reduction(Polynome P1, Polynome P2, Polynome &Reste);
        	float operator[](int i);
        	~Polynome();
};

#endif