#include "whole.h"


XMWhole::XMWhole()
{
	mWhole = NULL;
	mType = TO_WHOLE;
}

XMWhole::XMWhole(char *name):XMObjectX(NULL,NULL,name)
{
	mWhole=NULL;
	mType = TO_WHOLE;
}

XMWhole::XMWhole(CList <XMObjectX *> *lo)
{
	mType = TO_WHOLE;
	mWhole = lo;
}

CList <XMObjectX *> *XMWhole::Get()
{
	return mWhole;
}

void XMWhole::Add(XMObjectX *obj)
{
	if (!obj) return;
	if (!mWhole) mWhole = new CList <XMObjectX *>;
	mWhole->Add(obj);
}

char *XMWhole::Formatted()
{
	char *formatted;
	
	formatted = new char[1000];
	sprintf(formatted, "%d#%s#", mType, mName);
	return formatted;
}

TYPE  XMWhole::Eval(int &i, CList <XMObjectX *> *lvar=NULL)
{
	return 0;
}

char *XMWhole::EvalF(int &i, CList <XMObjectX *> *lvar=NULL)
{
	return (char *)0;
}

char *XMWhole::Affiche()
{
	return (char *)0;
}

void  XMWhole::Lecture()
{
}

XMObjectX *XMWhole::XEval(int &i, CList <XMObjectX *> *lvar=NULL)
{
	return (XMObjectX *)0;
}

XMObjectX *XMWhole::Diff(char *x)
{
	return (XMObjectX *)0;
}

XMObjectX *XMWhole::Clone()
{
	return (XMObjectX *)0;
}

XMWhole::~XMWhole()
{
}