#ifndef XMATHPIXMAP_H
#define XMATHPIXMAP_H

#include <Pixmaps/new.xpm>
#include <Pixmaps/open.xpm>
//#include <Pixmaps/exit.xpm>
#include <Pixmaps/graphs.xpm>
#include <Pixmaps/jgraph.xpm>
#include <Pixmaps/jlower.xpm>
#include <Pixmaps/mini-cross.xpm>
#include <Pixmaps/mini-book1.xpm>
#include <Pixmaps/mini-manual.xpm>
#include <Pixmaps/mini-ofolder.xpm>
#include <Pixmaps/mini-pdf.xpm>
#include <Pixmaps/mini-roach.xpm>
#include <Pixmaps/mini-run.xpm>
#include <Pixmaps/mini-stop.xpm>
#include <Pixmaps/mini-turn.xpm>
#include <Pixmaps/mini-windows.xpm>
#include <Pixmaps/mini.cut.xpm>
#include <Pixmaps/mini.xterm.xpm>
//#include <Pixmaps/world.xpm>

//********************************
#include <Pixmaps/xmath.xpm>
#include <Pixmaps/diff.xpm>
#include <Pixmaps/function.xpm>
#include <Pixmaps/graph2d.xpm>
#include <Pixmaps/graph3d.xpm>
#include <Pixmaps/int.xpm>
#include <Pixmaps/sum.xpm>
#include <Pixmaps/matrix.xpm>
#include <Pixmaps/variable.xpm>
//********************************


#define XMATH_LOGOXPM		xmath_xpm
#define HELPXPM			mini_book1_xpm
#define MANUALXPM		mini_manual_xpm
#define MINIMANUALXPM		mini_xman_xpm
#define NEWXPM			new_xpm
#define OPENXPM			open_xpm
#define OUVRIRXPM		mini_ofolder
#define SAVEXPM			mini_run_xpm
#define RUNXPM			mini_run_xpm
#define CANCELXPM		mini_turn_xpm
#define COPYXPM			mini_windows_xpm
#define CUTXPM			image_name
#define PASTXPM			jlower_xpm
#define STOPXPM			mini_stop_xpm
#define GRAPHXPM		jgraph_xpm
#define GRAPHSXPM		icl8_15303_xpm
#define CONFIGSYSXPM		mini_xterm_xpm
#define CANCELPROGXPM		mini_roach_xpm
#define TRACERCOURBEXPM		mini_pdf_xpm
#define WORLDXPM		mini_cross_xpm
#define KILLXPM			mini_cross_xpm
#define FERMERXPM		mini_cross_xpm



/* Bar d'outils pour les objets mathmatiques  */

#define VARIABLEXPM		variable_xpm
#define INTERVALXPM		mini_manual_xpm
#define POLYNOMEXPM	      	mini_xman_xpm
#define FUNCTIONXPM		function_xpm
#define SUMXPM			sum_xpm
#define MATRIXXPM		matrix_xpm
#define INTEGRALXPM		int_xpm
#define DERIVATEXPM		diff_xpm
#define GRAPH2DXPM		graph2d_xpm
#define GRAPH3DXPM		graph2d_xpm

#endif  /* XMATHPIXMAP_H */