
#include <Config.h>
#include <about.h>
#include <Pixmaps.h>
/*
defining signal and events
dynamics tables
*/
DEFINE_SIGNAL_LIST(AboutForm,VDKForm);
DEFINE_EVENT_LIST(AboutForm,VDKForm);
/*
defining signal static table
*/
DEFINE_SIGNAL_MAP(AboutForm,VDKForm)
ON_SIGNAL(mOK,clicked_signal,OnmOKClick)
END_SIGNAL_MAP
/*
main form setup
*/
void
AboutForm::GUISetup(void)
{
	SetSize(290,173);
	char Text[1000];
	Title = "About EsayMaths";
	vbox19 = new VDKBox(this,v_box);
	vbox19->SetSize(232,128);
	Add(vbox19,0,1,1,0);
	hbox20 = new VDKBox(this,h_box);
	vbox19->Add(hbox20,0,1,1,0);
	hbox20->BorderWidth(0);
	pixmap0 = new VDKPixmap(this, XMATH_LOGOXPM);
	pixmap0->SetSize(192,90);
	hbox20->Add(pixmap0,0,0,0,0);
	vbox21 = new VDKBox(this,v_box);
	vbox21->SetSize(124,90);
	hbox20->Add(vbox21,0,1,1,0);
	vbox21->BorderWidth(0);
	label3 = new VDKLabel(this,"EasyMaths");
	label3->Justify =  (GtkJustification) 2;
	vbox21->Add(label3,0,0,0,0);
	sprintf(Text, "Version %s", XM_VERSION);
	label4 = new VDKLabel(this, Text);
	label4->Justify =  (GtkJustification) 2;
	vbox21->Add(label4,0,0,0,0);
	mAuteur = new VDKLabel(this,"Auteur");
	mAuteur->SetSize(232,0);
	mAuteur->Justify =  (GtkJustification) 2;
	vbox19->Add(mAuteur,0,0,0,0);
	sprintf(Text, "%s", XM_AUTEUR);
	mNomAuteur = new VDKLabel(this,Text);
	mNomAuteur->Justify =  (GtkJustification) 2;
	vbox19->Add(mNomAuteur,0,1,1,0);
	mCopyright = new VDKLabel(this,"Copyrigth (C), 2000");
	mCopyright->SetSize(239,20);
	mCopyright->Justify =  (GtkJustification) 2;
	vbox19->Add(mCopyright,0,1,1,0);
	sprintf(Text, "%s", XM_ADRESSE_AUTEUR);
	mAdresseAuteur = new VDKLabel(this, Text);
	mAdresseAuteur->NormalBackground = VDKRgb(65,105,225);
	mAdresseAuteur->Justify =  (GtkJustification) 2;
	vbox19->Add(mAdresseAuteur,0,0,0,0);
	mOK = new VDKLabelButton(this,"Ok");
	vbox19->Add(mOK,0,1,1,3);
}
