/*
easymaths Application
Main unit header file: easymaths.h
*/
#ifndef _easymaths_main_form_h_
#define _easymaths_main_form_h_
#include <vdk/vdk.h>
#include <vdk/vdkthread.h>
#include <VGlobal.h>
#include <FileArch.h>
#include <Core/Assistant.h>
#include <ClientCommunication.h>
#include <progress.h>

// Easymaths FORM  CLASS
class EasymathsForm: public VDKForm, public HandleServer
{
// gui object declarations
	SCConnection *mConnection;
	ProgressForm *mProgress;
	bool IsRunning;
        char mTitle[400];
        char mCurrentFile[EAS_MAX_FILELEN];
        FileArch *mListOldFile;
private:
// vdkbuilder reserved gui construction
	void GUISetup(void);

public:
	EasymathsForm(VDKApplication* app, char* title);
	/*void FilterReponseCreate(CReponse *aRep);*/
	void *LancerRun(void *sender);
	void TreateReponse(XMReponse *aRep);
        void TreateObjectX(XMReponse *objectx);
        void UpdateTitle(bool modified);
	~EasymathsForm();
	void Setup(void);
	void InitialiserMenuFichiers();
/*
 gui setup include 
 do not patch below here
*/
#include <easymaths_gui.h>
};

// Easymaths APPLICATION  CLASS
class EasymathsApp: public VDKApplication
{

public:
	EasymathsApp(int* argc, char** argv);
	~EasymathsApp();
	void Setup(void);
};

#endif