#ifndef INTERVALLE_H
#define INTERVALLE_H
#include "variable.h"

class XMIntervalle:public XMObjectX
{
	XMVariable *mBorne[2];
	XMVariable *mX;
	TYPE mStep;
public:
	XMIntervalle();
	XMIntervalle(XMVariable *inf, XMVariable *sup);
	XMIntervalle(char *name, XMVariable *inf, XMVariable *sup);
	XMIntervalle(double min, double max);
	void SetBorne(int num, XMVariable *born){if (mBorne[num]) delete mBorne[num];}; //0<==> infrieure; 1<==> suprieure;
	void ModifierBorne(int num, double val){mBorne[num]->SetValue(val);}; //0<==> infrieure; 1<==> suprieure;
	TYPE Inc();
	TYPE Dec();
	void Init();
	bool IsValid();
	bool Containt(double pt);
	double GetVal(int num){int v;return (mBorne[num]->Eval(v));};
	XMVariable *Point(){return mX;}
	
        char *Formatted();
	TYPE  Eval(int &i, CList <XMObjectX *> *lvar=NULL);
        char *EvalF(int &i, CList <XMObjectX *> *lvar=NULL){return (char *)0;}
        char *Affiche(){return (char *)0;}
        void  Lecture(){}
        XMObjectX *Diff(char *x){return (XMObjectX *)0;}
        XMObjectX *XEval(int &i, CList <XMObjectX *> *lvar=NULL){return (XMObjectX *)0;}
        XMObjectX *Clone(){return (XMObjectX *)0;}
	~XMIntervalle();
};


#endif	/* INTERVALLE_H */