#ifndef MATHSFONCT
#define MATHSFONCT
#include "ArbreM.h"
#include "type.h"
#include "Liste.h"
#include "mobjectx.h"
#include "variable.h"

void val(char *s, TYPE & valeur, int &c);
void Decompress(char *ss, char *sd[]);


/*******     Modelisation d'un element dans pour le noeud      *****/  

class Element
{
        public:
        char *Nom;
        char *Vals;
        char *Vald;
        TYPE Val;
        Element();
        /*Element(Element &element);
        Element operator=(Element &element);
        ~Element();*/
};

void DestrucForCall(Element &Elt);

class XMFonction: public XMObjectX, ArbreM <Element>
{
        private:
        int Res;
        XMVariable **Variables;

        public:
        XMFonction();
        XMFonction(XMFonction & XMFonction);
        XMFonction(char *Exp);
        XMFonction(char *nom, char *Exp);
        XMFonction operator=(XMFonction XMFonction);
        XMFonction operator+(XMFonction &XMFonction);
        void Init();
        XMObjectX *Clone();
        char *Affiche();
        void Lecture();
        void PutVar(XMVariable *V, int pos);
        void SetVar(int Dim);
        void Ajout(char *s);
        void Permut(char *s);
        void DelParent();
        void FinArbre();
        char *Formatted(){return NULL;}
        TYPE Eval(int &Verite, CList <XMObjectX *> *lvar=NULL);
        char *EvalF(int &Verite, CList <XMObjectX *> *lvar=NULL);
        XMObjectX *XEval(int &i, CList <XMObjectX *> *lvar=NULL){return (XMObjectX *)0;}
        XMObjectX *Diff(char *VarDe);
        void Derivate(SNoeud *PSNoeu, char *VarDe);
        void Calcul(SNoeud *PSNoeu, CList<XMObjectX *> *lvar=NULL);
        void CalculF(SNoeud *PSNoeu);
        void Arbrer();
        XMVariable **GetPLV(){return Variables;};
        void InitDestForCall(){FONCTIONCALL=(void (*)(Element&))(&DestrucForCall);};
        ~XMFonction();
};

int EstStandard(char *Nom);
int Exist(XMVariable **Listx, char *NomVar, Variable &V);
XMVariable *GetVariable(XMVariable **Listx, char *NomVar);
void Update(Variable **Listx, CList <SObjectX *> *PLV);
void Convert(SNoeud *Ptrc, TYPE &Valg, TYPE &Vald);
void Convert_Diff(SNoeud *Ptrc, char **Valgs, char **Valds);
void ConvertF(SNoeud *Ptrc, char **Valgs, char **Valds);
int  Effectuer(SNoeud *Ptrc, CList<XMObjectX *> *lvar=NULL);
void EffectuerF(SNoeud *Ptrc, XMVariable **Listx);
void Derivee(SNoeud *Ptrc, char *VarDe);
#endif