#ifndef XMPLOT_H
#define XMPLOT_H
#include "type.h"
#include "ploter.h"
#include "syscoord.h"
#include "map.h"

class XMPlot: public XMObjectX
{
	protected:
		SysCoord *mSyscoord;
		CList <XMPloter *> *mAPloter;
	public:
		XMPlot(){mType=TO_PLOT; mSyscoord=NULL; mAPloter = NULL;};
		XMPlot(TObjectX type){mType=type; mSyscoord=NULL; mAPloter = NULL;};
		void Add(XMObjectX *plt);
		SysCoord *Syscoord(){return mSyscoord;}
		int Dim();
		int MapBis(XMMap *map, XMPloter *plt, int num);
		virtual XMMap* *Tracer(int k=-1)=0;
		virtual XMMap   *Map(XMPloter *plt)=0;
		TYPE  Eval(int &i, CList <XMObjectX *> *lvar=NULL){return 0;}
        	char *EvalF(int &i, CList <XMObjectX *> *lvar=NULL){return (char *)0;}
        	char *Affiche(){return (char *)0;}
        	void  Lecture();
        	XMObjectX *XEval(int &i, CList <XMObjectX *> *lvar=NULL){return (XMObjectX *)0;}
        	XMObjectX *Diff(char *x){return (XMObjectX *)0;}
        	XMObjectX *Clone(){return (XMObjectX *)0;}
        	~XMPlot(){}
};

class XMPlot2D: public XMPlot
{
	public:
		XMPlot2D();
        	char *Formatted();
		XMMap* *Tracer(int k=-1);
		XMMap   *Map(XMPloter *plt);
};

class XMPlot3D: public XMPlot
{
	public:
		XMPlot3D():XMPlot(TO_PLOT3D){};
        	char *Formatted();
        	XMMap* *Tracer(int k=-1);
		XMMap   *Map(XMPloter *plt);
};
#endif    /*  XMPLOT_H  */