#include "variable.h"

XMVariable::XMVariable()
{
        mType = TO_VARIABLE;
        mExpression[0] = mExpression[1] = mName = NULL;
        mVal = 0.0;
}

XMVariable::XMVariable(XMVariable &var)
{
        int vld;
        mType = TO_VARIABLE;
        SetName(var.GetName());
	for (int i=0; i<2; i++) SetExp(i, var.GetExp(i));
        mVal = var.Eval(vld);
}


XMVariable::XMVariable(char *nom)
{
        mType = TO_VARIABLE;
        SetName(nom);
        for (int i=0; i<2; i++) SetExp(i, nom);
        mVal = 0.0;
}

XMVariable::XMVariable(char *nom, char *vals, TYPE val)
{
	mType = TO_VARIABLE;
	SetName(nom);
        for (int i=0; i<2; i++) SetExp(i,vals);
        mVal = val;
}

XMObjectX *XMVariable::Clone()
{
        return new XMVariable(*this);
}

XMObjectX *XMVariable::Diff(char *x)
{
        XMVariable *va;
        char *nom;
        nom = new char[strlen(mName)+2];
        sprintf(nom, "%s'", mName);
        va = new XMVariable(nom);
        if (!strcmp(x, mName))
        {
               	va->SetValueS("1");
        	va->SetValue(1);
        } else
        {
               	va->SetValueS("0");
        	va->SetValue(0);
        }
        return va;
}

char *XMVariable::Formatted()
{
	char *formatted;
	
	formatted = new char[100];
	sprintf(formatted, "%d#%s#%s#%f#", mType, mName, mExpression[1], mVal);
	return formatted;
}

TYPE  XMVariable::Eval(int &i, CList <XMObjectX *> *lvar=NULL)
{
        return mVal;
}

char *XMVariable::EvalF(int &i, CList <XMObjectX *> *lvar=NULL)
{
        return Copie(0, strlen(mExpression[1]), mExpression[1]);
}

void  XMVariable::SetValue(TYPE val)
{
        mVal = val;
}

void  XMVariable::SetValueS(char *vals)
{
        for (int i=0; i<2; i++) SetExp(i, vals);
}

char *XMVariable::Affiche()
{
        int n;
        char *aff;
        n = strlen(mName);
        n = n + 1;
        n = n + strlen(mExpression[1]);
        aff = new char[n+1];
        strcpy(aff, mName);
        strcpy(aff, "=");
        strcpy(aff, mExpression[1]);
        return aff;
}

void  XMVariable::Lecture()
{
        printf("Type: 		Variable\n");
        printf("ID		%d_n", mType);
        printf("Nom:		%s\n", mName);
        printf("Valeur:		%s\n", mExpression[1]);
}

XMVariable::~XMVariable()
{
}
