#include <stdio.h>
#include <libgen.h>
#include <FileArch.h>

FileArch::FileArch(int max)
{
	mPosition = mMax = 0;
	if (max < 0) return;
	mMax = max;
	mTABItemFileArch = new (char *)[mMax];
	for(int i=0; i<mMax; i++) mTABItemFileArch[i] = NULL;
}

void FileArch::AddItemFileArch(VDKMenu *menu, char *itemu, bool (VDKObject::*Hld)(VDKObject *sender))
{
	VDKMenuItem* pItemMenu;
	if (mPosition == mMax) DelItemFileArch(mMax-1, NULL);
	for (int k=mPosition; k>=1; k--) mTABItemFileArch[k] = mTABItemFileArch[k-1];
	mTABItemFileArch[0] = new char[strlen(itemu)];
	strcpy(mTABItemFileArch[0], itemu);
	mPosition++;
	Rafraichir(menu, Hld);
	//CheckedItemFichier(NULL, item->GetMenuItem());
}

void FileArch::DelItemFileArch(int pos, char *name)
{
	int k, ASupprimer=-1;
	if (pos >= mMax) return;
	if ((pos<0) && (!name))
	{
		for (k=0; mTABItemFileArch[k]; k++)
		{
			/* DEBUT_BUGS */
			/* Il faut dsalouer la mmoire allouer */
			/* //delete mTABItemFileArch[k]; */
			/* FIN_BUGS */
			//delete mTABItemFileArch[k];
			mTABItemFileArch[k]=NULL;
		}
		mPosition=0;
		return;
	}
	if (pos<0)
	{
		for (k=0; k<mPosition; k++)
			if (!strcmp(mTABItemFileArch[k], name)) ASupprimer = k;
	} else ASupprimer = pos;
	mPosition--;
	for (k=ASupprimer; k<mMax; k++) mTABItemFileArch[k] = mTABItemFileArch[k+1];
	delete mTABItemFileArch[k];
	mTABItemFileArch[k] = NULL;
}

void FileArch::CheckedItemFichier(char *name, VDKMenuItem *item)
{
	/*int pos;
	bool IsFound = false;
	if (name != NULL)
	{
		for (pos=0; pos<mPosition; pos++) IsFound = !strcmp(mTABItemFileArch[pos]->GetName(), name);
	} else
	{
		for (pos=0; pos<mPosition; pos++) IsFound = (mTABItemFileArch[pos]->GetMenuItem() == item);
	}*/
	//if (IsFound) mTABItemFileArch[i]->GetItem()->
}

void FileArch::Rafraichir(VDKMenu *menu, bool (VDKObject::*Hld)(VDKObject *sender))
{
	VDKMenuItem* pItemMenu;
	for (int k=0; k<mPosition; k++)
	{
		pItemMenu = new VDKMenuItem(menu, basename(mTABItemFileArch[k]), NULL);
		SignalConnect(pItemMenu, "activate_signal", Hld, false, true);
	}
}

/*
ItemFileArch *FileArch::GetItemFileArch(char *item)
{
	/*char *aItem=NULL;
	for (int k=0; (aItem = mTABItemFileArch[k]) && (k<mMax); k++)
		if (aItem->GetMenuItem() == item) return aItem;
	return NULL;
}*/

FileArch::~FileArch()
{
	for (int k=0; mTABItemFileArch[k]; k++)
		delete (mTABItemFileArch[k]);
	delete mTABItemFileArch;
	mTABItemFileArch = NULL;
}

/******************************************************************************************************/
/******************************************************************************************************/
/******************************************************************************************************/
/******************************************************************************************************/
ItemFileArch::ItemFileArch()
{
	mItem = NULL;
	mName = NULL;
}

ItemFileArch::ItemFileArch(VDKMenuItem *item, char *name)
{
	mItem = item;
	mName = NULL;
	if (!name) return;
	mName = new char[strlen(name)];
	strcpy(mName, name);
}

void ItemFileArch::SetName(char *name)
{
	if (mName) delete mName;
	mName = NULL;
	if (!name) return;
	mName = new char[strlen(name)];
	strcpy(mName, name);
}

char *ItemFileArch::GetName()
{
	return mName;
}

VDKMenuItem *ItemFileArch::GetMenuItem()
{
	return mItem;
}

ItemFileArch::~ItemFileArch()
{
	if (mName) delete mName;
	mName = NULL;
}