#ifndef FILE_ARCH_H
#define FILE_ARCH_H
#include <vdk/menu.h>

class ItemFileArch;

/********************************************************************************************************/
/********************************************************************************************************/
/*				CLASS englobant les Items de fichier					*/
/********************************************************************************************************/
class FileArch: public VDKObject
{
private:
	int mMax;
	int mPosition;
	char **mTABItemFileArch;
public:
	FileArch(int max);
	void AddItemFileArch(VDKMenu *menu,char *itemu, bool (VDKObject::*Hld)(VDKObject *sender));
	void DelItemFileArch(int pos, char *name);
	void CheckedItemFichier(char *name, VDKMenuItem *item);
	void Rafraichir(VDKMenu *menu, bool (VDKObject::*Hld)(VDKObject *sender));
	//ItemFileArch *GetItemFileArch(VDKMenuItem *item);
	~FileArch();
};

/********************************************************************************************************/


/********************************************************************************************************/
/********************************************************************************************************/
/*				CLASS pour les Items de fichier						*/
/********************************************************************************************************/
class ItemFileArch
{
private:
	VDKMenuItem *mItem;
	char *mName;
	
public:
	ItemFileArch();
	ItemFileArch(VDKMenuItem *item, char *name);
	void SetName(char *name);
	char *GetName();
	VDKMenuItem *GetMenuItem();
	~ItemFileArch();
};
/*******************************************************************************************************/

#endif   /* FILE_ARCH_H */