#include <vdk/timer.h>
#include <VGlobal.h>
#include <progress.h>
/*
defining signal and events
dynamics tables
*/
DEFINE_SIGNAL_LIST(ProgressForm,VDKForm);
DEFINE_EVENT_LIST(ProgressForm,VDKForm);
/*
defining signal static table
*/
DEFINE_SIGNAL_MAP(ProgressForm,VDKForm)
ON_SIGNAL(mPause,clicked_signal,OnmPauseClick),
ON_SIGNAL(mFermer,clicked_signal,OnmFermerClick),
ON_SIGNAL(mArreter,clicked_signal,OnmArreterClick)
END_SIGNAL_MAP
/*
main form setup
*/
void
ProgressForm::GUISetup(void)
{
	SetSize(279,138);
vbox23 = new VDKBox(this,v_box);
Add(vbox23,0,1,1,0);
hbox24 = new VDKBox(this,h_box);
vbox23->Add(hbox24,0,1,1,0);
hbox24->BorderWidth(0);
vbox25 = new VDKBox(this,v_box);
vbox25->SetSize(172,65);
hbox24->Add(vbox25,0,1,1,0);
vbox25->BorderWidth(0);
label10 = new VDKLabel(this,"Nombre d'instructions");
label10->SetSize(197,16);
vbox25->Add(label10,0,0,0,0);
label11 = new VDKLabel(this,"Instruction en cours");
vbox25->Add(label11,0,0,0,0);
label12 = new VDKLabel(this,"Phase en cours");
vbox25->Add(label12,0,0,0,0);
label13 = new VDKLabel(this,"Nombre de traitements");
vbox25->Add(label13,0,0,0,0);
vbox26 = new VDKBox(this,v_box);
vbox26->SetSize(136,65);
hbox24->Add(vbox26,0,1,1,0);
vbox26->BorderWidth(0);
mNInst = new VDKLabel(this," ");
vbox26->Add(mNInst,0,0,0,0);
mCInst = new VDKLabel(this," ");
vbox26->Add(mCInst,0,0,0,0);
mCStep = new VDKLabel(this," ");
vbox26->Add(mCStep,0,0,0,0);
mTotal = new VDKLabel(this,"0");
vbox26->Add(mTotal,0,0,0,0);
mProgressbar = new VDKProgressBar(this,0.000000,1.000000);
//mProgressbar->ActivityMode = false;
mProgressbar->BarStyle = GTK_PROGRESS_CONTINUOUS;
mProgressbar->NormalBackground  = VDKRgb(255, 255, 255);
mProgressbar->PrelightBackground  = VDKRgb(50, 150, 255);
vbox23->Add(mProgressbar);//,l_justify,false,false,false
hbox27 = new VDKBox(this,h_box);
hbox27->SetSize(270,28);
vbox23->Add(hbox27,0,1,1,0);
hbox27->BorderWidth(0);
mPause = new VDKLabelButton(this,"Pause");
hbox27->Add(mPause,0,1,1,0);
mFermer = new VDKLabelButton(this,"Fermer");
hbox27->Add(mFermer,0,1,1,0);
mArreter = new VDKLabelButton(this,"Arrter");
hbox27->Add(mArreter,0,1,1,0);
statusbar2 = new VDKStatusbar(this);
vbox23->Add(statusbar2,l_justify,false,false,0);
}
